<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://deliveryRecordBrowse.caption"
        focusComponent="deliveryRecordsTable">
    <data readOnly="true">
        <collection id="deliveryRecordsDc"
                    class="com.company.management.entity.DeliveryRecord">
            <fetchPlan extends="_base">
                <property name="purchaseRecord" fetchPlan="_base">
                    <property name="type" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="deliveryRecordsDl">
                <query>
                    <![CDATA[select e from DeliveryRecord e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="deliveryRecordsTable" spacing="true">
        <filter id="filter"
                dataLoader="deliveryRecordsDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="deliveryRecordsTable"
                    width="100%"
                    dataContainer="deliveryRecordsDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="purchaseRecord"/>
                <column id="location"/>
                <column id="destination"/>
                <column id="deliveryReceipt"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="deliveryRecordsTable.create"/>
                <button id="editBtn" action="deliveryRecordsTable.edit"/>
                <button id="removeBtn" action="deliveryRecordsTable.remove"/>
            </buttonsPanel>
        </groupTable>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
